# showversion

showversion is a tool for extracting version numbers from project configurations.
Currently supported:
  - .NET Core (.csproj)

## Usage

To use showversion simply use it by giving it a command where to find the version.

```sh
$ showversion [command]
```

Example:
```sh
 $ showversion dotnetcore ./MyProject.csproj
 2.1.2-preview1
```

For more commands use the help command:
```sh
$ showversion -h
```

## Development

Yo will need to pull these dependecies:

```sh
$ go get -u github.com/spf13/cobra/cobra
```

## License (MIT)

Copyright 2018 Medical Informatics Group (MIG) Frankfurt

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.